/**********************************/
/****** PWM Declaration ***********/
/**********************************/

#include <avr/io.h>

/**** for ATmega32 ********************/

/***** Pin Definitions *************/
/***** Depends on the AVR **********/

#define OC0A_PWM 	 	PB3
#define OC0A_PWM_PORT 	PORTB
#define OC0A_PWM_DDR	DDRB

#define OC0B_PWM 	 	PB4
#define OC0A_PWM_PORT 	PORTB
#define OC0A_PWM_DDR	DDRB

#define OC1A_PWM 		PD5
#define OC1A_PWM_PORT 	PORTD
#define OC1A_PWM_DDR	DDRD

#define OC1B_PWM 		PD4
#define OC1B_PWM_PORT 	PORTD
#define OC1B_PWM_DDR	DDRD

#define OC2A_PWM 		PD7
#define OC2A_PWM_PORT 	PORTD
#define OC2A_PWM_DDR	DDRD

#define OC2B_PWM 		PD6
#define OC2B_PWM_PORT 	PORTD
#define OC2B_PWM_DDR	DDRD

/***** Functions ******************/

void OC0A_B_PWM_Init(void);

void OC0A_PWM_OFF(void);
void OC0A_PWM_Static(void);
void OC0A_PWM_ON(uint8_t);

void OC0B_PWM_OFF(void);
void OC0B_PWM_Static(void);
void OC0B_PWM_ON(uint8_t);

void OC1A_B_PWM_Init(void);

void OC1A_PWM_OFF(void);
void OC1A_PWM_Static(void);
void OC1A_PWM_ON_8bit(uint8_t);

void OC1B_PWM_OFF(void);
void OC1B_PWM_Static(void);
void OC1B_PWM_ON_8bit(uint8_t);

void OC2A_B_PWM_Init(void);

void OC2A_PWM_OFF(void);
void OC2A_PWM_Static(void);
void OC2A_PWM_ON(uint8_t);

void OC2B_PWM_OFF(void);
void OC2B_PWM_Static(void);
void OC2B_PWM_ON(uint8_t);
